Subject: Re: linux-next: changes in the maintainership of the percpu tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 18 Sep 2018 00:00:03 +1000

Hi Dennis,

On Mon, 17 Sep 2018 07:53:29 -0400 Tejun Heo <[email-masked]> wrote:
>
> Ah, yeah, please switch the tree to Dennis's for-next branch instead of
> mine.
> 
> Thanks.
> 
> On Mon, Sep 17, 2018 at 7:03 AM Stephen Rothwell <[email-masked]>
> wrote:
> 
> > I noticed commit
> >
> >   1194c4154662 ("MAINTAINERS: Make Dennis the percpu tree maintainer")
> >
> > Just wondering if this means any changes to the tree/branch I should
> > fetch or the contacts I should use for the percpu tree in linux-next.

I have switched the percpu tree to be the for-next branch of

  git://git.kernel.org/pub/scm/linux/kernel/git/dennis/percpu.git

and added you to the contacts for problems with that tree.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]